Subject: Re: [ANN] mtn2git v0.1

From: Jakub Narebski <[email-masked]>
Date: Sat, 13 Sep 2008 14:02:08 +0200

On Sat, 13 Sep 2008, Felipe Contreras wrote:
> On Sat, Sep 13, 2008 at 12:45 PM, Jakub Narebski <[email-masked]> wrote:
>> "Felipe Contreras" <[email-masked]> writes:
>>
>>> This is the result of various experiments I've been doing while trying
>>> to import mtn repositories into git. I've looked into other mtn2git
>>> scripts but none fitted my needs.
>>
>> mtn or mnt?
> 
> monotone = mtn

Thanks.

My confusion resulted from the fact that 'monotone' has 'n' both
before and after 't'.
 
>>> After some RFCs on git and monotone mailing lists it seems now that
>>> the script is going in the right direction.
>>
>> When you feel this script to be ready, could you add it to the
>> "Interaction with other Revision Control Systems" section on
>>  http://git.or.cz/gitwiki/InterfacesFrontendsAndTools
>> As far as I can see there ain't any Monotone to Git converter on this
>> list.
> 
> Ok, done. I think it's ready if you can bare the slowness of the
> 'checkout' method. The only missing feature is tags, but should be
> easy to implement.

Thank you.

BTW. did you have any problems with (from what I understand) slightly
different concept of branches between Monotone and Git?

-- 
Jakub Narebski
Poland